# HG changeset patch
# Node ID df79a7805803
# Parent  635a129a289d
diff --git a/libpurple/queuedoutputstream.h b/libpurple/queuedoutputstream.h
--- a/libpurple/queuedoutputstream.h
+++ b/libpurple/queuedoutputstream.h
@@ -27,16 +27,6 @@
 
 #ifndef PURPLE_QUEUED_OUTPUT_STREAM_H
 #define PURPLE_QUEUED_OUTPUT_STREAM_H
-/**
- * SECTION:queuedoutputstream
- * @section_id: libpurple-queuedoutputstream
- * @short_description: GOutputStream for queuing data to output
- * @title: GOutputStream class
- *
- * A #PurpleQueuedOutputStream is a #GOutputStream which allows data to be
- * queued for outputting. It differs from a #GBufferedOutputStream in that
- * it allows for data to be queued while other operations are in progress.
- */
 
 #include <gio/gio.h>
 
@@ -49,6 +39,13 @@
  */
 #define PURPLE_TYPE_QUEUED_OUTPUT_STREAM  purple_queued_output_stream_get_type()
 
+/**
+ * PurpleQueuedOutputStream:
+ *
+ * A #PurpleQueuedOutputStream is a #GOutputStream which allows data to be
+ * queued for outputting. It differs from a #GBufferedOutputStream in that
+ * it allows for data to be queued while other operations are in progress.
+ */
 G_DECLARE_FINAL_TYPE(PurpleQueuedOutputStream,
 		purple_queued_output_stream, PURPLE,
 		QUEUED_OUTPUT_STREAM, GFilterOutputStream)
diff --git a/libpurple/request-datasheet.h b/libpurple/request-datasheet.h
--- a/libpurple/request-datasheet.h
+++ b/libpurple/request-datasheet.h
@@ -27,17 +27,14 @@
 #ifndef PURPLE_REQUEST_DATA_H
 #define PURPLE_REQUEST_DATA_H
 
+#include <glib.h>
+
 /**
- * SECTION:request-datasheet
- * @section_id: libpurple-request-datasheet
- * @short_description: <filename>request-datasheet.h</filename>
- * @title: Request Datasheet API
+ * PurpleRequestDatasheet:
  *
  * Request Datasheet is a UI abstracted table.
  */
 
-#include <glib.h>
-
 typedef struct _PurpleRequestDatasheet PurpleRequestDatasheet;
 typedef struct _PurpleRequestDatasheetRecord PurpleRequestDatasheetRecord;
 typedef struct _PurpleRequestDatasheetAction PurpleRequestDatasheetAction;
diff --git a/libpurple/request.h b/libpurple/request.h
--- a/libpurple/request.h
+++ b/libpurple/request.h
@@ -27,15 +27,6 @@
 #ifndef PURPLE_REQUEST_H
 #define PURPLE_REQUEST_H
 
-/**
- * SECTION:request
- * @section_id: libpurple-request
- * @short_description: <filename>request.h</filename>
- * @title: Request API
- *
- * The request API is an abstract procedural ui builder.
- */
-
 #include <stdlib.h>
 
 #include <glib.h>
diff --git a/libpurple/roomlist.h b/libpurple/roomlist.h
--- a/libpurple/roomlist.h
+++ b/libpurple/roomlist.h
@@ -28,16 +28,6 @@
 #define PURPLE_ROOMLIST_H
 
 /**
- * SECTION:roomlist
- * @section_id: libpurple-roomlist
- * @short_description: <filename>roomlist.h</filename>
- * @title: Room List API
- *
- * The room list API describes how to display and populate a list of rooms in
- * a protocol abstract way.
- */
-
-/**
  * PURPLE_TYPE_ROOMLIST:
  *
  * The standard _get_type macro for #PurpleRoomlist.
diff --git a/libpurple/savedstatuses.h b/libpurple/savedstatuses.h
--- a/libpurple/savedstatuses.h
+++ b/libpurple/savedstatuses.h
@@ -27,16 +27,6 @@
 #ifndef PURPLE_SAVEDSTATUSES_H
 #define PURPLE_SAVEDSTATUSES_H
 
-/**
- * SECTION:savedstatuses
- * @section_id: libpurple-savedstatuses
- * @short_description: <filename>savedstatuses.h</filename>
- * @title: Saved Status API
- * @see_also: <link linkend="chapter-signals-savedstatus">Saved Status signals</link>
- *
- * The saved statuses API manages statuses that are saved to disk.
- */
-
 #define PURPLE_TYPE_SAVEDSTATUS  (purple_savedstatus_get_type())
 
 /**
diff --git a/libpurple/server.h b/libpurple/server.h
--- a/libpurple/server.h
+++ b/libpurple/server.h
@@ -27,16 +27,6 @@
 #ifndef PURPLE_SERVER_H
 #define PURPLE_SERVER_H
 
-/**
- * SECTION:server
- * @section_id: libpurple-server
- * @short_description: <filename>server.h</filename>
- * @title: Server API
- *
- * The server API is used by protocol plugins to tell libpurple when certain
- * things have happened.
- */
-
 #include "accounts.h"
 #include "conversations.h"
 #include "group.h"
diff --git a/libpurple/signals.h b/libpurple/signals.h
--- a/libpurple/signals.h
+++ b/libpurple/signals.h
@@ -27,17 +27,6 @@
 #ifndef PURPLE_SIGNALS_H
 #define PURPLE_SIGNALS_H
 
-/**
- * SECTION:signals
- * @section_id: libpurple-signals
- * @short_description: <filename>signals.h</filename>
- * @title: Purple-signals API
- * @see_also: <link linkend="chapter-tut-signals">Signals tutorial</link>
- *
- * The signals API is similar to GObject signals, but works on classes where
- * GObject signals work on instances.
- */
-
 #include <glib.h>
 #include <glib-object.h>
 
diff --git a/libpurple/status.h b/libpurple/status.h
--- a/libpurple/status.h
+++ b/libpurple/status.h
@@ -28,16 +28,6 @@
 #define PURPLE_STATUS_H
 
 /**
- * SECTION:status
- * @section_id: libpurple-status
- * @short_description: <filename>status.h</filename>
- * @title: Status Object API
- *
- * The status API is what keeps track of all status for all accounts as well as
- * all contacts.
- */
-
-/**
  * PURPLE_TYPE_STATUS:
  *
  * The standard _get_type macro for #PurpleStatus.
diff --git a/libpurple/stun.h b/libpurple/stun.h
--- a/libpurple/stun.h
+++ b/libpurple/stun.h
@@ -27,16 +27,6 @@
 #ifndef PURPLE_STUN_H
 #define PURPLE_STUN_H
 
-/**
- * SECTION:stun
- * @section_id: libpurple-stun
- * @short_description: <filename>stun.h</filename>
- * @title: STUN API
- *
- * The STUN API is an implementation of Session Traversal Utilities for NAT,
- * that is used to help us determine our public IP address.
- */
-
 typedef struct _PurpleStunNatDiscovery PurpleStunNatDiscovery;
 
 /**
diff --git a/libpurple/trie.h b/libpurple/trie.h
--- a/libpurple/trie.h
+++ b/libpurple/trie.h
@@ -26,32 +26,6 @@
 
 #ifndef PURPLE_TRIE_H
 #define PURPLE_TRIE_H
-/**
- * SECTION:trie
- * @include:trie.h
- * @section_id: libpurple-trie
- * @short_description: a structure for linear-time text searching
- * @title: Tries
- *
- * A #PurpleTrie is a structure for quick searching of multiple phrases within
- * a text. It's intended for repeated searches of the same set of patterns
- * within multiple source texts (or a single, big one).
- *
- * It's preparation time is <literal>O(p)</literal>, where <literal>p</literal>
- * is the total length of searched phrases. In current implementation, the
- * internal structure is invalidated after every modification of the
- * #PurpleTrie's contents, so it's not efficient to do alternating modifications
- * and searches. Search time does not depend on patterns being stored within
- * a trie and is always <literal>O(n)</literal>, where <literal>n</literal> is
- * the size of a text.
- *
- * Its main drawback is a significant memory usage - every internal trie node
- * needs about 1kB of memory on 32-bit machine and 2kB on 64-bit. Fortunately,
- * the trie grows slower when more words (with common prefixes) are added.
- * We could avoid invalidating the whole tree when altering it, but it would
- * require figuring out, how to update <literal>longest_suffix</literal> fields
- * in satisfying time.
- */
 
 #include <glib-object.h>
 
@@ -106,6 +80,29 @@
 G_BEGIN_DECLS
 
 /**
+ * PurpleTrie
+ *
+ * A #PurpleTrie is a structure for quick searching of multiple phrases within
+ * a text. It's intended for repeated searches of the same set of patterns
+ * within multiple source texts (or a single, big one).
+ *
+ * It's preparation time is <literal>O(p)</literal>, where <literal>p</literal>
+ * is the total length of searched phrases. In current implementation, the
+ * internal structure is invalidated after every modification of the
+ * #PurpleTrie's contents, so it's not efficient to do alternating modifications
+ * and searches. Search time does not depend on patterns being stored within
+ * a trie and is always <literal>O(n)</literal>, where <literal>n</literal> is
+ * the size of a text.
+ *
+ * Its main drawback is a significant memory usage - every internal trie node
+ * needs about 1kB of memory on 32-bit machine and 2kB on 64-bit. Fortunately,
+ * the trie grows slower when more words (with common prefixes) are added.
+ * We could avoid invalidating the whole tree when altering it, but it would
+ * require figuring out, how to update <literal>longest_suffix</literal> fields
+ * in satisfying time.
+ */
+
+/**
  * purple_trie_get_type:
  *
  * Returns: the #GType for a #PurpleTrie.
diff --git a/libpurple/upnp.h b/libpurple/upnp.h
--- a/libpurple/upnp.h
+++ b/libpurple/upnp.h
@@ -27,16 +27,6 @@
 #ifndef PURPLE_UPNP_H
 #define PURPLE_UPNP_H
 
-/**
- * SECTION:upnp
- * @section_id: libpurple-upnp
- * @short_description: <filename>upnp.h</filename>
- * @title: Universal Plug N Play API
- *
- * The UPNP API allows us to use Universal Plug and Play to determine a user's
- * public IP address as well as open port forwards.
- */
-
 typedef struct _PurpleUPnPMappingAddRemove PurpleUPnPMappingAddRemove;
 
 G_BEGIN_DECLS
diff --git a/libpurple/util.h b/libpurple/util.h
--- a/libpurple/util.h
+++ b/libpurple/util.h
@@ -26,15 +26,6 @@
 
 #ifndef PURPLE_UTIL_H
 #define PURPLE_UTIL_H
-/**
- * SECTION:util
- * @section_id: libpurple-util
- * @short_description: <filename>util.h</filename>
- * @title: Utility Functions
- *
- * The utility API is a cesspool please don't add more stuff here.  Namespace
- * new functions properly and don't put them here.
- */
 
 #include <stdio.h>
 
diff --git a/libpurple/version.h.in b/libpurple/version.h.in
--- a/libpurple/version.h.in
+++ b/libpurple/version.h.in
@@ -28,16 +28,6 @@
 #define PURPLE_VERSION_H
 
 /**
- * SECTION:version
- * @section_id: libpurple-version
- * @short_description: <filename>version.h</filename>
- * @title: Purple Versioning
- *
- * A collection of constants and functions for handling versioning of libpurple.
- *
- */
-
-/**
  * PURPLE_MAJOR_VERSION:
  *
  * The major version of the running libpurple.
diff --git a/libpurple/xfer.h b/libpurple/xfer.h
--- a/libpurple/xfer.h
+++ b/libpurple/xfer.h
@@ -26,15 +26,6 @@
 
 #ifndef PURPLE_XFER_H
 #define PURPLE_XFER_H
-/**
- * SECTION:xfer
- * @section_id: libpurple-xfer
- * @short_description: <filename>xfer.h</filename>
- * @title: File Transfer API
- * @see_also: <link linkend="chapter-signals-xfer">File Transfer signals</link>
- *
- * The Xfer API is used to manage file transfers.
- */
 
 /**
  * PURPLE_TYPE_XFER_UI_OPS:
diff --git a/libpurple/xmlnode.h b/libpurple/xmlnode.h
--- a/libpurple/xmlnode.h
+++ b/libpurple/xmlnode.h
@@ -26,15 +26,6 @@
 
 #ifndef PURPLE_XMLNODE_H
 #define PURPLE_XMLNODE_H
-/**
- * SECTION:xmlnode
- * @section_id: libpurple-xmlnode
- * @short_description: <filename>xmlnode.h</filename>
- * @title: XML DOM functions
- *
- * XmlNode is a simplified API for handling XML.  An XmlNode represents an XML
- * element and has API for children as well as attributes.
- */
 
 #include <glib.h>
 #include <glib-object.h>
@@ -71,7 +62,8 @@
  * @prefix:        The namespace prefix if any.
  * @namespace_map: The namespace map.
  *
- * An PurpleXmlNode.
+ * XmlNode is a simplified API for handling XML. An XmlNode represents an XML
+ * element and has API for children as well as attributes.
  */
 typedef struct _PurpleXmlNode PurpleXmlNode;
 struct _PurpleXmlNode
